<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:id="@+id/mainLay"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white">

    <com.google.android.material.appbar.AppBarLayout
            android:id="@+id/appbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white">

        <com.google.android.material.appbar.CollapsingToolbarLayout
                android:id="@+id/collapse_toolbar"
                android:layout_width="match_parent"
                android:layout_height="400dp"
                app:contentScrim="@color/white"
                app:layout_scrollFlags="scroll|exitUntilCollapsed|snap">

            <ImageView
                    android:id="@+id/userImage"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:scaleType="centerCrop"
                    android:visibility="visible"
                    app:layout_collapseMode="parallax"
                    app:layout_collapseParallaxMultiplier="0.75" />

            <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="15dp"
                    android:layout_gravity="bottom"
                    android:background="@drawable/profile_curved_white"
                    android:visibility="visible" />

            <androidx.appcompat.widget.Toolbar
                    android:id="@+id/toolbar"
                    android:layout_width="match_parent"
                    android:layout_height="?attr/actionBarSize"
                    android:layout_gravity="top"
                    app:contentInsetLeft="0dp"
                    app:contentInsetStart="0dp"
                    app:layout_collapseMode="pin">

                <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                    <ImageView
                            android:id="@+id/backbtn"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_alignParentLeft="true"
                            android:layout_centerVertical="true"
                            android:layout_gravity="center_vertical"
                            android:background="?attr/selectableItemBackgroundBorderless"
                            android:padding="10dp"
                            android:src="@drawable/back_arrow" />

                    <ImageView
                            android:id="@+id/editbtn"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:layout_gravity="center_vertical"
                            android:background="?attr/selectableItemBackgroundBorderless"
                            android:padding="10dp"
                            android:src="@drawable/edit" />

                    <ImageView
                            android:id="@+id/btnMenu"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:layout_gravity="center_vertical"
                            android:background="?attr/selectableItemBackgroundBorderless"
                            android:padding="10dp"
                            android:src="@drawable/toggle"
                            android:visibility="gone" />

                </RelativeLayout>
            </androidx.appcompat.widget.Toolbar>

        </com.google.android.material.appbar.CollapsingToolbarLayout>

    </com.google.android.material.appbar.AppBarLayout>

    <androidx.core.widget.NestedScrollView
            android:id="@+id/scrollView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/white"
                android:orientation="vertical">

            <com.topzi.chat.View.RegularTextView
                    android:id="@+id/userName"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_marginEnd="15dp"
                    android:ellipsize="end"
                    android:gravity="center_vertical"
                    android:maxLines="1"
                    android:text="Demo User"
                    android:textColor="@color/primarytext"
                    android:textSize="@dimen/text_profile" />

            <RelativeLayout
                    android:id="@+id/mobileLay"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp">

                <LinearLayout
                        android:id="@+id/numberLay"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_alignParentStart="true"
                        android:layout_marginStart="15dp"
                        android:layout_marginEnd="15dp"
                        android:layout_toStartOf="@+id/callLayout"
                        android:orientation="vertical">

                    <com.topzi.chat.View.RegularTextView
                            android:id="@+id/txtMobileNumber"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="@string/mobile_number"
                            android:textColor="@color/primarytext"
                            android:textSize="@dimen/text_size_large" />

                    <com.topzi.chat.View.RegularTextView
                            android:id="@+id/txtNumberType"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:text="@string/mobile"
                            android:textColor="@color/secondarytext"
                            android:textSize="@dimen/text_size_large" />

                </LinearLayout>

                <LinearLayout
                        android:id="@+id/callLayout"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:orientation="horizontal">

                    <ImageView
                            android:id="@+id/btnCall"
                            android:layout_width="20dp"
                            android:layout_height="20dp"
                            android:layout_gravity="center"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            android:background="?attr/selectableItemBackgroundBorderless"
                            android:src="@drawable/call_profile" />

                    <ImageView
                            android:id="@+id/btnMessage"
                            android:layout_width="20dp"
                            android:layout_height="20dp"
                            android:layout_gravity="center"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            android:background="?attr/selectableItemBackgroundBorderless"
                            android:src="@drawable/chat" />

                    <ImageView
                            android:id="@+id/btnVideo"
                            android:layout_width="20dp"
                            android:layout_height="20dp"
                            android:layout_gravity="center"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            android:background="?attr/selectableItemBackgroundBorderless"
                            android:src="@drawable/video_profile" />

                </LinearLayout>

            </RelativeLayout>

            <View
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:layout_marginTop="15dp"
                    android:layout_marginBottom="15dp"
                    android:background="@color/divider" />

            <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                <LinearLayout
                        android:id="@+id/aboutLay"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                    <com.topzi.chat.View.RegularTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="15dp"
                            android:layout_marginEnd="15dp"
                            android:gravity="center_vertical"
                            android:singleLine="true"
                            android:text="@string/about"
                            android:textColor="@color/primarytext"
                            android:textSize="@dimen/text_size_large"
                            android:visibility="visible" />


                    <com.topzi.chat.View.RegularTextView
                            android:id="@+id/about"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="15dp"
                            android:layout_marginEnd="15dp"
                            android:gravity="center_vertical"
                            android:text="About us!!!"
                            android:textColor="@color/secondarytext"
                            android:textSize="@dimen/text_size_large" />

                    <View
                            android:layout_width="match_parent"
                            android:layout_height="0.5dp"
                            android:layout_marginTop="15dp"
                            android:layout_marginBottom="15dp"
                            android:background="@color/divider" />

                </LinearLayout>

                <LinearLayout
                        android:id="@+id/muteLay"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                    <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical">

                        <com.topzi.chat.View.RegularTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentStart="true"
                                android:layout_centerVertical="true"
                                android:layout_marginStart="15dp"
                                android:hint="@string/mobile_number"
                                android:text="@string/mute_notifications"
                                android:textColor="@color/primarytext"
                                android:textSize="@dimen/text_size_large" />

                        <androidx.appcompat.widget.SwitchCompat
                                android:id="@+id/btnMute"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_alignParentEnd="true"
                                android:layout_centerVertical="true"
                                android:layout_marginEnd="5dp"
                                android:background="?attr/selectableItemBackgroundBorderless"
                                android:checked="false"
                                android:layoutDirection="ltr"
                                android:theme="@style/BlueSwitchTheme" />

                    </RelativeLayout>

                    <View
                            android:layout_width="match_parent"
                            android:layout_height="0.5dp"
                            android:layout_marginTop="15dp"
                            android:layout_marginBottom="15dp"
                            android:background="@color/divider" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_custnoti"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <com.topzi.chat.View.RegularTextView
                            android:id="@+id/tv_cust"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="15dp"
                            android:hint="@string/mobile_number"
                            android:text="@string/custom_notification"
                            android:textColor="@color/primarytext"
                            android:textSize="@dimen/text_size_large" />

                        <com.topzi.chat.View.RegularTextView
                            android:id="@+id/tv_notification"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/tv_cust"
                            android:text=""
                            android:layout_marginStart="15dp"
                            android:textSize="@dimen/text_size_medium"
                            android:layoutDirection="ltr"
                            />

                    </RelativeLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="15dp"
                        android:layout_marginBottom="15dp"
                        android:background="@color/divider" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="15dp"
                    android:paddingLeft="15dp"
                    android:paddingRight="15dp"
                    android:visibility="gone"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">
                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_weight="1"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">
                            <com.topzi.chat.View.RegularTextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:background="?attr/selectableItemBackground"
                                android:gravity="center_vertical"
                                android:text="@string/media_visibility"
                                android:textAppearance="@style/NavigationDrawerTextStyle"
                                android:textColor="@color/primarytext" />

                            <com.topzi.chat.View.RegularTextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="5dp"
                                android:background="?attr/selectableItemBackground"
                                android:gravity="center_vertical"
                                android:text="@string/media_visibility_detail"
                                android:textSize="15sp"
                                android:textColor="@color/secondarytext" />
                        </LinearLayout>

                        <Switch
                            android:id="@+id/switch_media_visibility"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"/>
                    </LinearLayout>



                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:background="@color/divider" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/mediaLay"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <com.topzi.chat.View.RegularTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:layout_marginEnd="15dp"
                        android:gravity="center_vertical"
                        android:singleLine="true"
                        android:text="@string/recent_media"
                        android:textColor="@color/primarytext"
                        android:textSize="@dimen/text_size_large"
                        android:visibility="visible" />


                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/mediaRecycler"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginTop="10dp"
                        android:layout_marginStart="15dp"
                        android:layout_marginEnd="15dp"
                        android:fontFamily="@font/segoe_regular"
                        android:gravity="center_vertical" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginTop="15dp"
                        android:layout_marginBottom="15dp"
                        android:background="@color/divider" />

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <RelativeLayout
            android:id="@+id/imageViewLay"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingTop="60dp"
            android:clickable="true"
            android:focusable="true"
            app:behavior_hideable="true"
            app:behavior_peekHeight="0dp"
            app:behavior_skipCollapsed="true"
        app:layout_behavior="com.google.android.material.bottomsheet.BottomSheetBehavior">
        <androidx.viewpager.widget.ViewPager
            android:id="@+id/pager"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <RelativeLayout
            android:id="@+id/imageLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <ImageView
                android:id="@+id/imgBg"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/divider" />

            <ImageView
                android:id="@+id/imageView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_centerInParent="true"
                android:background="@color/divider"
                android:adjustViewBounds="true"/>
        </RelativeLayout>


        <ImageView
                android:id="@+id/closeBtn"
                android:layout_width="45dp"
                android:layout_height="45dp"
                android:padding="15dp"
                android:visibility="gone"
                android:src="@drawable/cancel"
                app:tint="@color/primarytext" />
    </RelativeLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>